<template>
  <p-button type="primary" icon="printer" @click="print">打印</p-button>
</template>
<script>
//单据数据、打印机服务地址、打印机名称、模板地址
export default {
  props: {
    //打印rul
    printUrl: {
      type: String,
    },
    //打印数量
    printQuantity:{
      type:String,

    },
    // //打印机服务地址
    // printerServiceUrl: {
    //   type: String,
    // },
    // //打印机名称
    // printerName:{
    //     type:String
    // },
    // //模板地址
    // softlinks:{
    //     type:String
    // },
    // //单据数据
    // FormData: {
    //   type: Object,
    //   default: {},
    // },
    printData: {
      //打印机服务地址
      printerServiceUrl: '',
      //打印机名称
      printerName: '',
      //模板地址
      softlinks: '',
      //单据数据
      formData: {},
    },
  },
  data() {
    return {}
  },
  methods: {
    print() {
      this.axios({
        methods: 'post',
        url: this.printUrl,
        Headers: { 'Content-Type': 'application/json' },
        data: this.printData,
      }).then((res) => {
        console.log(this.printData, '111111111')
        console.log(res, '3333333333')
      })
    },
  },
}
</script>